Skip to content

Get Lending Rates History

GET
/v1/loans/rates/history

Returns rate history and loan book utilisation from previous interest auctions for a specified currency. Use the currencySymbol query parameter to filter results. Pagination is supported via skip and limit, and results can be filtered by startTime and endTime.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

currencySymbol*

The currency symbol to filter by (e.g., BTC, ETH).

Type
string
Required
Example"BTC"
skip

Number of items to skip before returning results.

Type
integer
Example0
Format
"int32"
limit

Maximum number of items to return (max 100).

Type
integer
Example100
Format
"int32"
startTime

Start time in ISO 8601 format (e.g., 2023-11-14T22:00:00.000Z)

Type
string
endTime

End time in ISO 8601 format (e.g., 2023-12-14T22:00:00.000Z)

Type
string

Responses

Lending rates history retrieved successfully

application/json
JSON
[
{
"currency": "ZAR",
"lendingRate": "0.0000114",
"createdAt": 1746784800002,
"utilization": "6.7",
"borrowerRate": "0.00001368"
},
{
"currency": "ZAR",
"lendingRate": "0.0000114",
"createdAt": 1746781200001,
"utilization": "6.7",
"borrowerRate": "0.00001368"
}
]

Playground

Authorization
Variables
Key
Value

Samples